<?php
global $post;
$post_id = $post -> ID;
$wobd_advance_option = get_post_meta( $post_id, 'wobd_advance_option', true );
?>
<div class="wobd-each-badge-container">
    <?php
    $badges_lists = array(
        'left top',
        'left center',
        'left bottom',
        'right top',
        'right center',
        'right bottom'
    );

    foreach ( $badges_lists as $badges_list ) {
        ?>
        <div class ="wobd-badge-option-wrap">
            <label><?php
                esc_html_e( 'Badge ', WOBD_TD );
                echo $badges_list;
                ?></label>
            <div class="wobd-badge-field-wrap">
                <?php
                $badges_list_name = str_replace( ' ', '_', $badges_list );
                ?>
                <div class="wobd-badge-field-inner-wrap">
                    <select name = "wobd_advance_option[wobd_badge_<?php echo $badges_list_name ?>_position]" class = "wobd-advance-position">
                        <option value="none" <?php if ( ! empty( $wobd_advance_option[ 'wobd_badge_' . $badges_list_name . '_position' ] ) ) selected( $wobd_advance_option[ 'wobd_badge_' . $badges_list_name . '_position' ], 'none' ); ?>><?php esc_html_e( 'None', WOBD_TD ); ?></option>
                        <?php
                        $position = $badges_list_name;
                        $args = array(
                            'post_type' => 'wobd-badge-designer',
                            'posts_per_page' => -1,
                            'post_status' => 'publish',
                        );
                        $query = new WP_Query( $args );
                        if ( $query -> have_posts() ) {
                            while ( $query -> have_posts() ) {

                                $query -> the_post();
                                $badge_post_id = get_the_ID();
                                $wobd_option = get_post_meta( $badge_post_id, 'wobd_option', true );
                                if ( isset( $wobd_option[ 'badge_position' ] ) && $wobd_option[ 'badge_position' ] == $badges_list_name ) {
                                    ?>
                                    <option value="<?php echo $badge_post_id; ?>" <?php if ( ! empty( $wobd_advance_option[ 'wobd_badge_' . $badges_list_name . '_position' ] ) ) selected( $wobd_advance_option[ 'wobd_badge_' . $badges_list_name . '_position' ], $badge_post_id ); ?>><?php the_title(); ?></option>
                                    <?php
                                }
                            }
                        }
                        wp_reset_postdata();
                        ?>
                    </select>
                </div>
            </div>
        </div>
    <?php }
    ?>
</div>
