<?php defined( 'ABSPATH' ) or die( "No script kiddies please!" ); ?>
<div class="wobd-about-main-wrapper">
    <div class="wobd-intro-wrap">
        <?php include(WOBD_PATH . 'includes/admin/view/page/header.php'); ?>
        <div class="wobd-how-to-use-container">
            <div class="wobd-column-one-wrap">
                <div class="wobd-panel-body">
                    <div class="wobd-row">
                        <div class="wobd-col-three-third">
                            <h3><?php esc_html_e( 'About The Plugin', WOBD_TD ); ?></h3>
                            <div class="wobd-tab-wrapper">
                                <p><strong><?php esc_html_e( 'Woo Badge Designer - WooCommerce Product Badge Designer WordPress Plugin', WOBD_TD ) ?></strong> <?php _e( '- is a Premium WordPress Plugin by AccessPress Themes.', WOBD_TD ); ?> </p>
                                <p><?php esc_html_e( 'AccessPress Themes is a venture of Access Keys - who has developed hundreds of Custom WordPress themes and plugins for its clients over the years. ', WOBD_TD ); ?></p>
                                <p><strong><?php esc_html_e( 'Woo Badge Designer', WOBD_TD ) ?></strong>
                                    <?php esc_html_e( 'is your ideal WordPress plugin to transform the default WooCommerce sale badges into more appealing badge designs. This advance plugin helps you add text, image and icon labels to your products in a jiffy. And the labels that can be added via this plugin come in super handy when there is any sale, discount, special features, unique product information.', WOBD_TD ); ?></p>
                                <p><?php esc_html_e( 'Insert unique and attractive badges in your WooCommerce site, and add more charm to your product displays.', WOBD_TD ); ?> </p>
                                <div class="wobd-halfseperator"></div>
                                <p><strong><?php esc_html_e( 'Please visit our product page for more details here:', WOBD_TD ); ?></strong>
                                    <br />
                                    <a href="https://accesspressthemes.com/wordpress-plugins/woo-badge-designer/" target="_blank">https://accesspressthemes.com/wordpress-plugins/woo-badge-designer/</a>
                                </p>
                                <div class="wobd-halfseperator"></div>
                                <p><strong><?php esc_html_e( 'Please visit our demo page here:', WOBD_TD ); ?></strong>
                                    <br />
                                    <a href="http://demo.accesspressthemes.com/wordpress-plugins/woo-badge-designer/" target="_blank">http://demo.accesspressthemes.com/wordpress-plugins/woo-badge-designer/</a>
                                </p>

                                <div class="wobd-halfseperator"></div>
                                <p><strong><?php esc_html_e( 'Plugin documentation can be found here:', WOBD_TD ); ?></strong>
                                    <br />
                                    <a href="https://accesspressthemes.com/documentation/woo-badge-designer/" target="_blank">https://accesspressthemes.com/documentation/woo-badge-designer/</a>
                                </p>
                                <p>&nbsp;</p>
                                <h3 class="wobd-sub-title"><?php esc_html_e( "More from AccessPress themes", WOBD_TD ); ?> </h3>
                                <div class="wobd-row">
                                    <div class="wobd-col-one-third">
                                        <div class="wobd-product">
                                            <div class="wobd-logo-product">
                                                <a href="https://accesspressthemes.com/wordpress-plugins" target="_blank">
                                                    <img src="<?php echo WOBD_IMG_DIR; ?>/plugin.png" alt="<?php esc_html_e( 'AccessPress Social Icons', WOBD_TD ); ?>" />
                                                </a>
                                            </div>
                                            <div class="wobd-productext">
                                                <span class="prod-title"><?php esc_html_e( "WordPress Plugins", WOBD_TD ); ?></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="wobd-col-one-third">
                                        <div class="wobd-product">
                                            <div class="wobd-logo-product">
                                                <a href="https://accesspressthemes.com/free-wordpress-themes-and-templates/" target="_blank"><img src="<?php echo WOBD_IMG_DIR; ?>/theme.png" /></a>
                                            </div>
                                            <div class="wobd-productext">
                                                <span class="prod-title"><?php esc_html_e( "WordPress Themes", WOBD_TD ); ?></span>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="wobd-col-one-third">
                                        <div class="wobd-product">
                                            <div class="wobd-logo-product">
                                                <a href="https://accesspressthemes.com/request-customization/" target="_blank"><img src="<?php echo WOBD_IMG_DIR; ?>/customize.png" /></a>
                                            </div>
                                            <div class="wobd-productext">
                                                <span class="prod-title"><?php esc_html_e( "WordPress Customization", WOBD_TD ); ?></span>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>



                                <hr />
                                <h3><?php esc_html_e( 'Get in touch', WOBD_TD ); ?></h3>
                                <p><?php esc_html_e( 'If you have any question/feedback, please get in touch:', WOBD_TD ); ?></p>
                                <p>
                                    <strong><?php esc_html_e( "General enquiries:", WOBD_TD ); ?></strong> <a href="mailto:info@accesspressthemes.com"><?php esc_html_e( "info@accesspressthemes.com", WOBD_TD ); ?></a><br />
                                    <strong><?php esc_html_e( "Support:", WOBD_TD ); ?></strong> <a href="mailto:support@accesspressthemes.com"><?php esc_html_e( "support@accesspressthemes.com", WOBD_TD ); ?></a><br />
                                    <strong><?php esc_html_e( "Sales:", WOBD_TD ); ?></strong> <a href="mailto:sales@accesspressthemes.com"><?php esc_html_e( "sales@accesspressthemes.com", WOBD_TD ); ?></a>
                                </p>
                                <div class="wobd-seperator"></div>
                                <div class="wobd-dottedline"></div>
                                <div class="wobd-seperator"></div>
                            </div>
                        </div>
                        <div class="wobd-col-three-third">
                            <h3><?php esc_html_e( 'Get social', WOBD_TD ); ?></h3>
                            <p><?php esc_html_e( 'Get connected with us on social media. Facebook is the best place to find updates on our themes/plugins: ', WOBD_TD ); ?></p>

                            <p><strong><?php esc_html_e( "Like us on facebook:", WOBD_TD ); ?></strong>
                                <br />
                                <iframe style="border: none; overflow: hidden; width: 700px; height: 250px;" src="//www.facebook.com/plugins/likebox.php?href=https%3A%2F%2Fwww.facebook.com%2Fpages%2FAccessPress-Themes%2F1396595907277967&amp;width=842&amp;height=258&amp;colorscheme=light&amp;show_faces=true&amp;header=false&amp;stream=false&amp;show_border=true&amp;appId=1411139805828592" width="240" height="150" frameborder="0" scrolling="no"></iframe>
                            </p>

                            <ul class="wobd-about wobd-unstyled wobd-inlinelist">
                                <li><a href="https://plus.google.com/u/0/+Accesspressthemesprofile/about" target="_blank"><img src="<?php echo WOBD_IMG_DIR; ?>/googleplus.png" alt="google+"></a>
                                </li>
                                <li><a href="http://www.pinterest.com/accesspresswp/" target="_blank"><img src="<?php echo WOBD_IMG_DIR; ?>/pinterest.png" alt="pinterest"></a>
                                </li>
                                <li><a href="https://www.flickr.com/photos/accesspressthemes/" target="_blank"><img src="<?php echo WOBD_IMG_DIR; ?>/flicker.png" alt="flicker"></a>
                                </li>
                                <li><a href="https://twitter.com/apthemes" target="_blank"><img src="<?php echo WOBD_IMG_DIR; ?>/twitter.png" alt="twitter"></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>